<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.sjapp.mapper.SjAppMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="sjAppResultMap" type="org.springblade.modules.sjapp.entity.SjApp">
        <id column="id" property="id"/>
        <result column="sjid" property="sjid"/>
        <result column="appid" property="appid"/>
        <result column="wybs" property="wybs"/>
    </resultMap>

    <select id="selectSjAppPage" resultMap="sjAppResultMap">
        select * from ydjw_sj_app where is_deleted = 0
    </select>

    <select id="consoleSelect" resultType="map">
        ${_parameter}
    </select>

    <update id="consoleUpdate" parameterType="java.lang.String">
        ${_parameter}
    </update>

    <insert id="consoleInsert" parameterType="java.lang.String">
        ${_parameter}
    </insert>

    <delete id="consoleDelete" parameterType="java.lang.String">
        ${_parameter}
    </delete>

</mapper>
